close all
clear all

load('plotPOD')

% AVAILABLE VARIABLES 'x','t','uFEM','mPOD'

% RECONSTRUCT POD SOLUTION
uPOD = outprod(mPOD,1);
for i=2:size(mPOD{1},2)
    uPOD = uPOD + outprod(mPOD,i);
end

% PLOT NON REDUCED MODEL RESULT
subplot(1,2,1),plot(x,uFEM,'-*')
grid on
xlabel('length (x)','fontsize',18)
ylabel('temperature','fontsize',18)
title('Full order','fontsize',18)
set(gca,'fontsize',18)

% COMPARE FULL ORDER AND POD SOLUTIONS
subplot(1,2,2),plot(x,uPOD,'-*')
grid on
xlabel('length (x)','fontsize',18)
ylabel('temperature','fontsize',18)
title('POD','fontsize',18)
set(gca,'fontsize',18)

% PLOT SPACE AND TIME POD MODES
figure
plot(x,mPOD{1},'-*')
grid on
xlabel('length (x)','fontsize',18)
title('space modes','fontsize',18)
set(gca,'fontsize',18)
figure
plot(t,mPOD{2},'-*')
grid on
xlabel('time (t)','fontsize',18)
title('time modes','fontsize',18)
set(gca,'fontsize',18)